Package org.opensaml.saml.saml1.core

# Interface NameIdentifier

All Superinterfaces:
  `SAMLObject`, `XMLObject`, `XSString`

All Known Implementing Classes:
  `NameIdentifierImpl`

public interface NameIdentifier extends SAMLObject, XSString
Interface to define how a NameIdentifier element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`EMAIL`
URI for email name format.
`static final String`
`FORMAT_ATTRIB_NAME`
Name for the attribute which defines Name Qualifier.
`static final String`
`NAMEQUALIFIER_ATTRIB_NAME`
Name for the attribute which defines Name Qualifier.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`UNSPECIFIED`
URI for unspecified name format.
`static final String`
`WIN_DOMAIN_QUALIFIED`
URI for windows domain qualified name name format.
`static final String`
`X509_SUBJECT`
URI for X509 subject name format.

## Method Summary

Modifier and Type
Method
Description
`String`
`getFormat()`
Gets the format of this identifier.
`String`
`getNameQualifier()`
Gets the name qualifier for this identifier.
`void`
`setFormat(String format)`
Sets the format of this identifier.
`void`
`setNameQualifier(String nameQualifier)`
Sets the name qualifier for this identifier.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSString

`getValue, setValue`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### NAMEQUALIFIER_ATTRIB_NAME

@Nonnull @NotEmpty static final String NAMEQUALIFIER_ATTRIB_NAME
Name for the attribute which defines Name Qualifier.

See Also:
  - Constant Field Values

### FORMAT_ATTRIB_NAME

@Nonnull @NotEmpty static final String FORMAT_ATTRIB_NAME
Name for the attribute which defines Name Qualifier.

See Also:
  - Constant Field Values

### UNSPECIFIED

@Nonnull @NotEmpty static final String UNSPECIFIED
URI for unspecified name format.

See Also:
  - Constant Field Values

### EMAIL

@Nonnull @NotEmpty static final String EMAIL
URI for email name format.

See Also:
  - Constant Field Values

### X509_SUBJECT

@Nonnull @NotEmpty static final String X509_SUBJECT
URI for X509 subject name format.

See Also:
  - Constant Field Values

### WIN_DOMAIN_QUALIFIED

@Nonnull @NotEmpty static final String WIN_DOMAIN_QUALIFIED
URI for windows domain qualified name name format.

See Also:
  - Constant Field Values

## Method Details

### getNameQualifier

@Nullable String getNameQualifier()
Gets the name qualifier for this identifier.

Returns:
  name qualifier for this identifier

### setNameQualifier

void setNameQualifier(@Nullable String nameQualifier)
Sets the name qualifier for this identifier.

Parameters:
  `nameQualifier` - name qualifier for this identifier

### getFormat

@Nullable String getFormat()
Gets the format of this identifier.

Returns:
  format of this identifier

### setFormat

void setFormat(@Nullable String format)
Sets the format of this identifier.

Parameters:
  `format` - format of this identifier